> For the complete documentation index, see [llms.txt](https://docs-cn.filswan.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-cn.filswan.com/swan-client/chuang-jian-ren-wu-liu-cheng/filecoin-jiao-yi-fa-song-yin-qing/pei-zhi.md).

# 配置

创建任务前，需要在 `~/.swan/client/config.toml` 中更新配置项。

```shell
vi ~/.swan/client/config.toml
```

```
    [lotus]
    client_api_url = "http://[ip]:[port]/rpc/v0"   # lotus 客户端 web API 的 Url, 通常 [port] 是 1234
    client_access_token = ""                       # lotus 客户端 web API 的 Token 令牌, 需要管理员权限

    [main]
    market_version = "1.1"                         # 订单版本为 1.1 或 1.2。此配置 (market_version=1.1) 将被弃用，很快会被删除 (默认: "1.1")。
    api_url = "https://go-swan-server.filswan.com" # Swan API 地址。生产环境默认为： `https://go-swan-server.filswan.com`. 如果 `[sender].offline_swan=true`，则可忽略。
    api_key = ""                                   # Swan API key. 获取方式：[Swan Platform](https://console.filswan.com/#/dashboard) -> "My Profile"->"Developer Settings"。 如果 `[sender].offline_swan=true`，则可忽略。
    access_token = ""                              # Swan API token. 获取方式： [Swan Platform](https://console.filswan.com/#/dashboard) -> "My Profile"->"Developer Settings"。如果 `[sender].offline_swan=true`，则可忽略。

    [ipfs_server]
    download_url_prefix = "http://[ip]:[port]"     # IPFS 服务器 URL 前缀，存储 CAR 文件供存储提供商下载。 下载链接为 `[download_url_prefix]/ipfs/[dataCID]`
    upload_url_prefix = "http://[ip]:[port]"       # 供上传文件的 IPFS 服务 URL，

    [sender]
    offline_swan = false                           # 是否在 [Swan Platform](https://console.filswan.com/#/dashboard) 上创建任务，当设置为 true 时, 仅生成元数据供存储提供商导入订单。
    verified_deal = true                           # 是否作为‘verified’订单发送
    fast_retrieval = true                          # 是否要求存储提供商支持文件快速取回
    skip_confirmation = false                      # 是否在每个订单发送前跳过手动确认
    generate_md5 = false                           # 是否为每个 CAR 文件和源文件生成 md5值（非常消耗资源）
    wallet = ""                                    # 发送离线订单使用的钱包
    max_price = "0"                                # Max price willing to pay per GiB/epoch for offline deals 愿意为离线订单当中的每GiB每个epoch 支付的最高价格
    start_epoch_hours = 96                         # 订单将在多少小时后开始 (默认 96 小时)
    expire_days = 4                                # 订单将在多少天后过期 (默认 4 天)
    duration = 1512000                             # 要求存储提供商存储数据的时长，以区块高度为单位(30s/区块), 默认 1512000.
    start_deal_time_interval = 500                 # 每个订单发送的时间间隔，默认: 500ms
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-cn.filswan.com/swan-client/chuang-jian-ren-wu-liu-cheng/filecoin-jiao-yi-fa-song-yin-qing/pei-zhi.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
